Bug 120596 - Package manager fails to install packages due to wrong path
Package manager fails to install packages due to wrong path
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: system-config-packages (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-04-11 15:14 EDT by Bartosz Telenczuk
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-08-19 17:19:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bartosz Telenczuk 2004-04-11 15:14:21 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040312

Description of problem:
When I choose packages in Packages Management dialog and proceed to
install them an error message shows up ("There was an error installing
packages. Exiting."). The results are always the same regardless of
chosen packages. 

In terminal I get:

Traceback (most recent call last):
  File "/usr/share/system-config-packages/GroupDetails.py", line 171,
in rendere r_toggled
    self.component.selectPackage(package.nevra())
  File "/usr/share/system-config-packages/GroupSet.py", line 794, in
selectPacka ge
    pkg = self.packages[pkgnevra]
KeyError: 'xemacs-0:21.4.15-3.i386'
The file /mnt/cdrom/Fedora/RPMS/../Updates/joe-2.9.8-9.i386.rpm cannot
be opened . This is due to a missing file, a bad package, or bad
media. Press <return> to 

I wonder why it looks for a package in ../Updates/joe-2.9.8-9.i386.rpm
(I didn't use up2date). 




Version-Release number of selected component (if applicable):
system-config-packages-1.2.10-1

How reproducible:
Always

Steps to Reproduce:
1. Run system-config-packages as root
2. Choose any package to install and click Update..
3. Put appropriate CD in the drive.
    

Actual Results:  When installer starts an error dialog pops up and the
installation is not finished.

Expected Results:  Package Manager should install new packages

Additional info:

I think the bug has something to do with following lines (422-438) in
method.py, but can't figure out how to change it:

def getFilename(self, h, timer, installed=0):
        if h[RCPFILELOCATIONTAG] is not None:
            return h[RCPFILELOCATIONTAG]

... 
    
    if h[1000005] is None:
            path = self.packagesDir
        else:
# Here it joins ../Updates directory to the pathname
            path = "%s/../Updates" %(self.packagesDir,)
         
        return "%s/%s/%s" %(self.mountpoint, path, h[1000000])


The bug is different from
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=109276, since
manager uses correct "/mnt/cdrom/Fedora" path.
Comment 1 Marius Andreiana 2005-08-19 17:19:10 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.